{
    attributes = (
        {
            columnName = "page_id"; 
            externalType = NUMBER; 
            name = pageId; 
            precision = 10; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "pemp_adresse1"; 
            externalType = VARCHAR2; 
            name = pempAdresse1; 
            valueClassName = NSString; 
            valueType = S; 
            width = 100; 
        }, 
        {
            allowsNull = Y; 
            columnName = "pemp_adresse2"; 
            externalType = VARCHAR2; 
            name = pempAdresse2; 
            valueClassName = NSString; 
            valueType = S; 
            width = 100; 
        }, 
        {
            allowsNull = Y; 
            columnName = "pemp_code_postal"; 
            externalType = VARCHAR2; 
            name = pempCodePostal; 
            valueClassName = NSString; 
            valueType = S; 
            width = 5; 
        }, 
        {
            columnName = "pemp_id"; 
            externalType = NUMBER; 
            name = pempId; 
            precision = 10; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "pemp_nom"; 
            externalType = VARCHAR2; 
            name = pempNom; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            allowsNull = Y; 
            columnName = "pemp_siret"; 
            externalType = VARCHAR2; 
            name = pempSiret; 
            valueClassName = NSString; 
            valueType = S; 
            width = 14; 
        }, 
        {
            allowsNull = Y; 
            columnName = "pemp_ville"; 
            externalType = VARCHAR2; 
            name = pempVille; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            columnName = "tem_Valide"; 
            externalType = VARCHAR2; 
            name = temValide; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (
        pageId, 
        pempAdresse1, 
        pempAdresse2, 
        pempCodePostal, 
        pempId, 
        pempNom, 
        pempSiret, 
        pempVille, 
        temValide
    ); 
    className = "org.cocktail.kaki.server.metier.EOPafEmployeur"; 
    classProperties = (
        agent, 
        pempAdresse1, 
        pempAdresse2, 
        pempCodePostal, 
        pempNom, 
        pempSiret, 
        pempVille, 
        temValide
    ); 
    externalName = "JEFY_PAF.paf_employeur"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            pempAdresse1, 
            pempAdresse2, 
            pempCodePostal, 
            pempNom, 
            pempSiret, 
            pempVille, 
            temValide
        ); 
        "_javaClientClassName" = "org.cocktail.kaki.client.metier.EOPafEmployeur"; 
    }; 
    name = PafEmployeur; 
    primaryKeyAttributes = (pempId); 
    relationships = (
        {
            destination = PafAgent; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = pageId; sourceAttribute = pageId; }); 
            name = agent; 
        }
    ); 
}
